using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsEnergyAnalysis {
        public FmsEnergyAnalysis() {
        }

        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "에너지 종류 고유번호"), Key]
        public short FuelTypeId { get; set; }
        [Display(Name = "에너지 종류 상세번호(전력-일반/심야/산업) - 사용X"), Key]
        public int FuelPriceId { get; set; }
        [Display(Name = "요금제 고유번호"), Key]
        public int PriceTypeId { get; set; }
        [Display(Name = "연도"), Key]
        public int Year { get; set; }
        [Display(Name = "월"), Key]
        public int Month { get; set; }
        [Display(Name = "증감이유")]
        public string Content { get; set; }

        [ForeignKey("SiteId")]
        public virtual CmSite CmSite { get; set; }
        [ForeignKey("FuelTypeId")]
        public virtual BemsFuelType FuelType { get; set; }
        [ForeignKey("PriceTypeId")]
        public virtual BemsPriceType PriceType { get; set; }

    }
}
